System.ServiceModel 4.0.0.0 System.Enum

The direction of a message indicates whether the message is coming into an endpoint or going out from an endpoint. is incoming to the server and is outgoing from the server. For a basic request/response message pattern, a request is incoming to the server and the response is outgoing from the server. On callbacks from the server to client, however, a request is outgoing from the server and a response is incoming to the server.

Use the constructor to specify the direction of a message.

Retrieve the direction of a message using the property.

Specifies the direction of the message.

- Field
  4.0.0.0
  System.ServiceModel.Description.MessageDirection

  The message is incoming.

- Field
  4.0.0.0
  System.ServiceModel.Description.MessageDirection

  The message is outgoing.